org.apache.synapse.commons.snmp

## Class SynapseMOScalar

- java.lang.Object
- - org.snmp4j.agent.mo.MOScalar<org.snmp4j.smi.Variable>
  - - org.apache.synapse.commons.snmp.SynapseMOScalar

- All Implemented Interfaces:
    org.snmp4j.agent.ManagedObject, org.snmp4j.agent.ManagedObjectValueAccess, org.snmp4j.agent.MOScope, org.snmp4j.agent.RegisteredManagedObject, org.snmp4j.agent.SerializableManagedObject

      public class SynapseMOScalar
      extends org.snmp4j.agent.mo.MOScalar<org.snmp4j.smi.Variable>

  Synapse managed object scalar implementation. This class queries built-in JMX MBeans to retrieve the value of the specified OID.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseMOScalar(org.snmp4j.smi.OID id, javax.management.ObjectName objectName, java.lang.String attribute, int snmpVersion)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.snmp4j.smi.Variable` | `getValue()`

    - ### Methods inherited from class org.snmp4j.agent.mo.MOScalar

      `addMOChangeListener, addMOValueValidationListener, changeValue, checkRequestScope, cleanup, commit, covers, find, fireAfterMOChange, fireAfterPrepareMOChange, fireBeforeMOChange, fireBeforePrepareMOChange, fireValidate, get, getAccess, getID, getLowerBound, getOid, getScope, getSingleInstanceScope, getUpperBound, getValue, isCovered, isLowerIncluded, isOverlapping, isUpperIncluded, isValueOK, isVolatile, load, next, prepare, removeMOChangeListener, removeMOValueValidationListener, save, setValue, setValue, setVolatile, toString, toStringDetails, undo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseMOScalar

          public SynapseMOScalar(org.snmp4j.smi.OID id,
                                 javax.management.ObjectName objectName,
                                 java.lang.String attribute,
                                 int snmpVersion)

  - ### Method Detail

    - #### getValue

          public org.snmp4j.smi.Variable getValue()

      Overrides:
        `getValue` in class `org.snmp4j.agent.mo.MOScalar<org.snmp4j.smi.Variable>`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.